Bug 104003 - [IGT] pm_sseu@full-enable fails with assertion: gem.spinfunc
Summary: [IGT] pm_sseu@full-enable fails with assertion: gem.spinfunc
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: IGT (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-30 21:26 UTC by Armando Antonio
Modified: 2018-08-22 11:04 UTC (History)
1 user (show)

See Also:
i915 platform: CNL
i915 features: power/runtime PM


Attachments
kernel log (518.35 KB, text/plain)
2017-11-30 21:26 UTC, Armando Antonio
no flags Details
dmesg log (189.17 KB, text/plain)
2017-11-30 21:27 UTC, Armando Antonio
no flags Details
test output (637 bytes, text/plain)
2017-11-30 21:27 UTC, Armando Antonio
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Armando Antonio 2017-11-30 21:26:47 UTC
Created attachment 135843 [details]
kernel log

The following test case is falling on CNL with latest configuration.

pm_sseu@full-enable

Assertion:
(pm_sseu:1558) CRITICAL: Test assertion failure function gem_init, file pm_sseu.c:275:
(pm_sseu:1558) CRITICAL: Failed assertion: gem.spinfunc
(pm_sseu:1558) igt-core-INFO: Stack trace:
(pm_sseu:1558) igt-core-INFO:   #0 [__igt_fail_assert+0x101]
(pm_sseu:1558) igt-core-INFO:   #1 [__real_main362+0x6b4]
(pm_sseu:1558) igt-core-INFO:   #2 [main+0x23]
(pm_sseu:1558) igt-core-INFO:   #3 [__libc_start_main+0xf1]
(pm_sseu:1558) igt-core-INFO:   #4 [_start+0x29]
(pm_sseu:1558) igt-core-INFO:   #5 [<unknown>+0x29]
Comment 1 Armando Antonio 2017-11-30 21:27:19 UTC
Created attachment 135844 [details]
dmesg log
Comment 2 Armando Antonio 2017-11-30 21:27:34 UTC
Created attachment 135845 [details]
test output
Comment 3 Armando Antonio 2017-11-30 21:28:03 UTC
Platform configuration:

======================================
             Software
======================================
kernel version              : 4.15.0-rc1-drm-intel-qa-ww48-commit-6d6c48b+
hostname                    : CNL-1
architecture                : x86_64
os version                  : Ubuntu 16.10
os codename                 : yakkety
kernel driver               : i915
bios revision               : 108.1
bios release date           : 10/12/2017
ksc                         : 1.32
hardware acceleration       : disabled
swap partition              : enabled on (/dev/nvme0n1p3)

======================================
        Graphic drivers
======================================
grep: /opt/X11R7/var/log/Xorg.0.log: No such file or directory
libdrm                      : 2.4.88
cairo                       : 1.15.9
intel-gpu-tools (tag)       : intel-gpu-tools-1.20-169-gac6739b
intel-gpu-tools (commit)    : ac6739b

======================================
             Hardware
======================================
motherboard model          : CannonLakeClientPlatform
motherboard id             : CannonLakeYLPDDR4RVP
form factor                : Laptop
manufacturer               : IntelCorporation
cpu family                 : Other
cpu family id              : 6
cpu information            : Genuine Intel(R) CPU 0000 @ 1.00GHz
gpu card                   : Intel Corporation Device 5a49 (rev 03) (prog-if 00 [VGA controller])
memory ram                 : 7.61 GB
max memory ram             : 8 GB
cpu thread                 : 4
cpu core                   : 2
cpu model                  : 102
cpu stepping               : 2
socket                     : Other
current cd clock frequency : 168000 kHz
maximum cd clock frequency : 528000 kHz
displays connected         : eDP-1

======================================
             Firmware
======================================
dmc fw loaded             : yes
dmc version               : 1.6
guc fw loaded             : fetch NONE, load NONE
guc version wanted        : wanted 0.0, found 0.0
guc version found         : wanted 0.0, found 0.0

======================================
             kernel parameters
======================================
quiet drm.debug=0x1e pci=pcie_bus_safe intel_iommu=igfx_off auto panic=1 nmi_watchdog=panic i915.alpha_support=1 resume=/dev/nvme0n1p3 fastboot
Comment 4 Chris Wilson 2017-12-08 19:10:41 UTC
commit 39ac6b89e9e51b55886181aabd91739ea1e61adb
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Nov 30 21:31:30 2017 +0000

    igt/pm_sseu: Mark requirements with igt_require
    
    Not all platforms have a readily defined media routines, so don't assert
    but require they exist.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=104003
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>

The test needs to be updated to run on Cannonlake, but that's another matter.
Comment 5 Lakshmi 2018-08-22 11:04:07 UTC
No open bugs related to igt@pm_sseu@full-enable tests in ci tests, closing. 
https://intel-gfx-ci.01.org/tree/drm-tip/igt-shards-all.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.